Name:		perl-Rose-DateTime
Version:	0.537
Release:	4%{?dist}
Summary:	DateTime helper functions and objects
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Rose-DateTime/
Source0:	http://www.cpan.org/authors/id/J/JS/JSIRACUSA/Rose-DateTime-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(DateTime)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Rose::Object)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Exporter)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%filter_from_requires /perl(Rose::DateTime::Util)/d
%filter_setup

%description
The Rose::DateTime::* modules provide a few convenience functions and
objects for use with DateTime dates.

%prep
%setup -q -n Rose-DateTime-%{version}
find . -type f -executable -exec chmod -x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Rose/DateTime.pm
%{perl_vendorlib}/Rose/DateTime/
%{_mandir}/man3/Rose::DateTime*.3pm*

%changelog
* Tue Jul 24 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.537-4
- update Requires and BuildRequires

* Mon Jul 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.537-3
- remove buildroot and clean
- remove defattr from files section


* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.537-2
- Remove execute bit from pm files

* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.537-1
- Initial version
